﻿// -----------------------------------------------------------------------------------------------
//  <copyright file="TfsTestItemType.cs" company="http://buginbox.wordpress.com/">
//    Copyright (c) GNU General Public License version 2 (GPLv2)
//  </copyright>
// <summary>
//    Copied/updated from http://blogs.microsoft.co.il/blogs/shair/archive/2010/07/06/tfs-api-part-27-test-plans-test-suites-test-cases-mapping.aspx Refer to articles index : http://blogs.microsoft.co.il/blogs/shair/archive/2011/05/18/tfs-api-index-parts-1-to-37.aspx
//    Cf. Shai Raiten from http://blogs.microsoft.co.il/blogs/shair/
// </summary>
// -----------------------------------------------------------------------------------------------

namespace TestPlanMigration.Tree
{
    /// <summary>
    /// The item types. 
    /// </summary>
    public enum TfsTestItemType
    {
        /// <summary>
        /// The test case.
        /// </summary>
        TestCase, 

        /// <summary>
        /// The test plan.
        /// </summary>
        TestPlan, 

        /// <summary>
        /// The test suite.
        /// </summary>
        TestSuite, 

        /// <summary>
        /// The team project.
        /// </summary>
        TeamProject
    }
}